## org.eclipse.datatools.modelbase.sql.accesscontrol
Interface Group

All Superinterfaces:
  AuthorizationIdentifier, SQLObject

All Known Implementing Classes:
  GroupImpl

public interface Group
extends AuthorizationIdentifier

A representation of the model object 'Group'.

The following features are supported:

- `User`

See Also:
  `SQLAccessControlPackage.getGroup()`

Method Summary
`EList` `getUser()` Returns the value of the 'User' reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.AuthorizationIdentifier
`getGrantedPrivilege, getGrantedRoleAuthorization, getOwnedSchema, getReceivedPrivilege, getReceivedRoleAuthorization`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getUser

    public EList getUser()

  Returns the value of the 'User' reference list. The list contents are of type `User`.

  If the meaning of the 'User' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User' reference list.
  See Also:
    `SQLAccessControlPackage.getGroup_User()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.